/**
 * PRIMARY NAVIGATION
 *
*/
.rtds-primary-navigation {
    display: flex;
}
@media (min-width: 1024px) {
    .rtds-primary-navigation__item {
        display: flex;
        align-items: center;
    }
    .rtds-primary-navigation__item:where(.has-dropdown-menu) {
        position: relative;
    }
}
.rtds-primary-navigation__first-level {
    font-weight: 700;
}
.rtds-primary-navigation__panel {
    visibility: hidden;
    position: fixed;
    top: var(--header-height);
    bottom: var(--spacing-0);
    left: 12%;
    width: 88%;
    --tw-translate-x: 100%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    flex-direction: column;
    overflow-y: auto;
    border-left-width: 1px;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
        border-color: var(--color-border-primary);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
@media (min-width: 1024px) {
    .rtds-primary-navigation__panel {
        visibility: visible;
        position: static;
        left: var(--spacing-0);
        width: auto;
        transform: none;
        overflow: visible;
        border-left-width: 0px;
        background-color: transparent;
    }
}
.rtds-primary-navigation__panel.is-open {
    visibility: visible;
    left: 12%;
    z-index: 20;
    --tw-translate-x: var(--spacing-0);
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    display: flex;
}
body.rtds-overflow-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-overflow-hidden .rtds-primary-navigation__backdrop {
    position: fixed;
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 10;
}
@media (min-width: 1024px) {
    body.rtds-overflow-hidden .rtds-primary-navigation__backdrop,
    :root.rtds-overflow-hidden .rtds-primary-navigation__backdrop {
        display: none;
    }
}
.rtds-primary-navigation__list {
    display: grid;
    gap: var(--spacing-2);
}
@media (min-width: 1024px) {
    .rtds-primary-navigation__list {
        display: flex;
        justify-content: flex-end;
        gap: var(--spacing-4);
    }
}
@media (min-width: 1280px) {
    .rtds-primary-navigation__list {
        gap: var(--spacing-8);
    }
}
.rtds-primary-navigation__link.is-current,
    .rtds-primary-navigation__link:hover {
    position: relative;
        color: var(--color-content-primary);
}
.rtds-primary-navigation__link.is-current::after,
    .rtds-primary-navigation__link:hover::after {
    position: absolute;
    left: var(--spacing-0);
    bottom: var(--spacing-0);
    display: block;
    height: 1px;
    width: 100%;
    border-top-width: 2px;
    border-color: currentColor;
    content: var(--tw-content);
    background-color: transparent;
}
.rtds-primary-navigation__link {
    min-height: var(--spacing-14);
    width: 100%;
    padding: var(--spacing-3);
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
    line-height: 1.25;
}
.rtds-primary-navigation__link:hover {
    text-decoration-line: none;
        color: var(--color-content-primary);
}
@media (min-width: 1024px) {
    .rtds-primary-navigation__link {
        height: 100%;
        justify-content: center;
        text-align: center;
    }
}
/* MOBILE MENU */
.rtds-primary-navigation__module {
    align-items: flex-start;
    border-bottom-width: 1px;
    padding: var(--spacing-2);
        border-color: var(--color-border-gray-01);
    display: grid;
}
.rtds-primary-navigation__module:last-child {
    border-bottom-width: 0px;
}
@media (min-width: 1024px) {
    .rtds-primary-navigation__module {
        display: block;
        flex: 1 1 0%;
        padding: var(--spacing-0);
    }
}
/* MEGAMENU  container fix */
@media (min-width: 1024px) {
    .rtds-primary-navigation .rtds-dropdown-menu__megamenu.is-open {
        display: flex;
        justify-content: center;
    }
    .rtds-primary-navigation .rtds-dropdown-menu__list {
        flex: 1 1 0%;
    }
}
